#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum EPlaytestStatus {
    None = 0,
    Pending = 1,
    Invited = 2,
    Granted = 3,
    Expired = 4,
}

impl EPlaytestStatus {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::None as i32 => Some(Self::None),
            x if x == Self::Pending as i32 => Some(Self::Pending),
            x if x == Self::Invited as i32 => Some(Self::Invited),
            x if x == Self::Granted as i32 => Some(Self::Granted),
            x if x == Self::Expired as i32 => Some(Self::Expired),
            _ => None,
        }
    }
}
